Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class FileUploadBase.FileSizeLimitExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.fileupload.FileUploadException
                  org.apache.commons.fileupload.FileUploadBase.SizeException
                      org.apache.commons.fileupload.FileUploadBase.FileSizeLimitExceededException

All Implemented Interfaces:
  Serializable

Enclosing class:
  FileUploadBase

    public static class FileUploadBase.FileSizeLimitExceededException

extends FileUploadBase.SizeException

Thrown to indicate that A files size exceeds the configured maximum.

See Also:
  Serialized Form

Constructor Summary
`FileUploadBase.FileSizeLimitExceededException(String message, long actual, long permitted)` Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.

Method Summary
`String` | `getFieldName()` Returns the field name of the item, which caused the exception.
`String` | `getFileName()` Returns the file name of the item, which caused the exception.
`void` | `setFieldName(String pFieldName)` Sets the field name of the item, which caused the exception.
`void` | `setFileName(String pFileName)` Sets the file name of the item, which caused the exception.

Methods inherited from class org.apache.commons.fileupload.FileUploadBase.SizeException
`getActualSize, getPermittedSize`

Methods inherited from class org.apache.commons.fileupload.FileUploadException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadBase.FileSizeLimitExceededException

    public FileUploadBase.FileSizeLimitExceededException(String message,
                                                         long actual,
                                                         long permitted)

  Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.

  Parameters:
    `message` - The detail message.
    `actual` - The actual request size.
    `permitted` - The maximum permitted request size.

Method Detail

### getFileName

    public String getFileName()

  Returns the file name of the item, which caused the exception.

  Returns:
    File name, if known, or null.

### setFileName

    public void setFileName(String pFileName)

  Sets the file name of the item, which caused the exception.

### getFieldName

    public String getFieldName()

  Returns the field name of the item, which caused the exception.

  Returns:
    Field name, if known, or null.

### setFieldName

    public void setFieldName(String pFieldName)

  Sets the field name of the item, which caused the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.